Package org.eclipse.lemminx.extensions.contentmodel.participants

## Class XMLModelUtils

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.XMLModelUtils

    public class XMLModelUtils
    extends Object

XML model utilities.

### Constructor Summary

Constructors
`XMLModelUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static DOMRange` `getHrefNode​(DOMDocument document, String hrefLocation)` Returns the DOM range of the href of the xml-model processing instruction which matches the given hrefLocation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLModelUtils

    public XMLModelUtils()

### Method Detail

#### getHrefNode

    public static DOMRange getHrefNode​(DOMDocument document,
                                       String hrefLocation)

Returns the DOM range of the href of the xml-model processing instruction which matches the given hrefLocation.

Parameters:
  `document` - the DOM document.
  `hrefLocation` - the href location.
Returns:
  the DOM range of the href of the xml-model processing instruction which matches the given hrefLocation.